Client security 12.x

Hi there,

 

I am using fs client security 12.1 at home, free of charge from my former employer. My question is: is cs 12x outdated and therefore is it risky to use it?

 

2nd question: I suppose I have to pay in order to upgrade to cs 14.2 or I have to buy e.g. Fsecure safe !for private use?

 

Ps: i don't have the management console installed, being at home.

 

Thanks and best regards

Comments

  • VadVad Posts: 1,051 F-Secure Employee

    Hello Mrcmwt,

     

    CS 12 versions are not supported for some time already. So, I would recommend to upgrade to newer CS version, or to shift to fresh F-Secure consumer product. Whatever is more suitable for you.

     

    Best regards,

    Vad

This discussion has been closed.